# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/menu-ui-handler.ts:31

#####
Index

### Constructors

constructor

### Properties

active
awaitingActionInput
communityConfig
cursor
cursorObj
ignoredMenuOptions
manageDataConfig
menuBg
menuContainer
menuMessageBoxContainer
menuOptions
message
mode
onActionInput
optionSelectText
pendingPrompt
prompt
scene
textCallbackTimer
textTimer
tutorialActive

### Methods

clear
clearText
eraseCursor
getCursor
getTextColor
getUi
processInput
processTutorialInput
setCursor
setup
show
showDialogue
showPrompt
showText

## Constructors

### constructor

- new default(scene, mode?): default

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/menu-ui-handler.ts:46

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Protected` communityConfig

communityConfig: OptionSelectConfig

- Defined in src/ui/menu-ui-handler.ts:44

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` cursorObj

cursorObj: Image

- Defined in src/ui/menu-ui-handler.ts:38

### `Protected` ignoredMenuOptions

ignoredMenuOptions: MenuOptions []

- Defined in src/ui/menu-ui-handler.ts:40

### `Protected` manageDataConfig

manageDataConfig: OptionSelectConfig

- Defined in src/ui/menu-ui-handler.ts:43

### `Private` menuBg

menuBg: NineSlice

- Defined in src/ui/menu-ui-handler.ts:35

### `Private` menuContainer

menuContainer: Container

- Defined in src/ui/menu-ui-handler.ts:32

### `Private` menuMessageBoxContainer

menuMessageBoxContainer: Container

- Defined in src/ui/menu-ui-handler.ts:33

### `Protected` menuOptions

menuOptions: MenuOptions []

- Defined in src/ui/menu-ui-handler.ts:41

### message

message: Text

Inherited from default.message

- Defined in src/ui/message-ui-handler.ts:11

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` onActionInput

onActionInput: Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### `Protected` optionSelectText

optionSelectText: Text

- Defined in src/ui/menu-ui-handler.ts:36

### pendingPrompt

pendingPrompt: boolean

Inherited from default.pendingPrompt

- Defined in src/ui/message-ui-handler.ts:9

### prompt

prompt: Sprite

Inherited from default.prompt

- Defined in src/ui/message-ui-handler.ts:12

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` textCallbackTimer

textCallbackTimer: TimerEvent

Inherited from default.textCallbackTimer

- Defined in src/ui/message-ui-handler.ts:8

### `Protected` textTimer

textTimer: TimerEvent

Inherited from default.textTimer

- Defined in src/ui/message-ui-handler.ts:7

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/menu-ui-handler.ts:398

### clearText

- clearText(): void

- #### Returns void

  Inherited from default.clearText

  - Defined in src/ui/message-ui-handler.ts:189

### eraseCursor

- eraseCursor(): void

- #### Returns void

  - Defined in src/ui/menu-ui-handler.ts:404

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/menu-ui-handler.ts:249

### processTutorialInput

- processTutorialInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:15

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/menu-ui-handler.ts:384

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/menu-ui-handler.ts:55

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/menu-ui-handler.ts:232

### showDialogue

- showDialogue(text, name, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - name: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Inherited from default.showDialogue

  - Defined in src/ui/message-ui-handler.ts:24

### showPrompt

- showPrompt(callback, callbackDelay): void

- #### Parameters

  - callback: Function
  - callbackDelay: number

  #### Returns void

  Inherited from default.showPrompt

  - Defined in src/ui/message-ui-handler.ts:154

### showText

- showText(text, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Overrides default.showText

  - Defined in src/ui/menu-ui-handler.ts:378